Join the AMA (Ask Me Anything) with Firefox leadership team to talk about Firefox priorities in 2024. Mark your calendar! Thursday, June 13, 17:00 - 19:00 UTC.

ابحث في الدعم

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Error "content not available in a compatible codec" when trying to play video clips in websites

  • 4 ردود
  • 0 have this problem
  • 131 views
  • آخر ردّ كتبه jonzn4SUSE

more options

I am using Firefox 102.8.0esr on openSUSE Leap 15.4. Two days ago Firefox stopped playing video clips on websites, notably BBC News and Facebook. On BBC News I get the error message "The content is not available in a compatible codec" but elsewhere just "video cannot be played". I have checked that the same video clips can be played without a problem in Google Chrome

I am using Firefox 102.8.0esr on openSUSE Leap 15.4. Two days ago Firefox stopped playing video clips on websites, notably BBC News and Facebook. On BBC News I get the error message "The content is not available in a compatible codec" but elsewhere just "video cannot be played". I have checked that the same video clips can be played without a problem in Google Chrome

الحل المُختار

Problem solved, many thanks - it was indeed related to ffmpeg and associated libraries. Although, after installing Leap 15.4, I had done the vendor change to Packman for the multimedia codecs etc, I discovered that ffmpeg and 12 associated packages were no longer coming from Packman. It seems likely that this happened in an update a few days ago. Anyway, making the vendor change again cured the problem

Read this answer in context 👍 1

All Replies (4)

more options

See if this site helps you update your ffmpeg files. https://www.opensuse-community.org/

Modified by jonzn4SUSE

more options

I would also recommend running more than 1 browser so that your data is not in just in one place. The distro browser keep losing my tabs which is why I stopped using it as a daily driver. If one browser loses my data and or tabs, I can send them from another browser. see screenshot

more options

الحل المُختار

Problem solved, many thanks - it was indeed related to ffmpeg and associated libraries. Although, after installing Leap 15.4, I had done the vendor change to Packman for the multimedia codecs etc, I discovered that ffmpeg and 12 associated packages were no longer coming from Packman. It seems likely that this happened in an update a few days ago. Anyway, making the vendor change again cured the problem

more options

Great. Mark it as resolved and have a good day. Don't forget about my suggestions.  ;-)